#include "GL/gl.h"
#ifndef __CAMERA_H_
#define __CAMERA_H_

#ifdef WIN32
#include <windows.h>
#endif

void moveLeft();
void moveRight();
void moveUp();    
void moveDown();
void moveForward();
void moveBack(); 

void pitchUp();  
void pitchDown(); 
void yawRight();
void yawLeft(); 
void rollLeft(); 
void rollRight();

void CameraReset(); 

void SetCameraPosition(int,int,int);
void SetMovementSpeed(int);
void SetRollSpeed(int);

void ModelPitchUp();
void ModelPitchDown();  
void ModelYawRight();   
void ModelYawLeft();    
void ModelRollLeft();   
void ModelRollRight();  

#endif











